Description

On the issue page, when clicking the Edit link, the page scrolls to the edit section. However, the sticky header covers the Edit

heading, making it unclear that the user has reached the section.

Related: Feature #42684: Add a sticky header to keep the issue subject visible on scroll

The scroll should be adjusted so the heading is fully visible.

Current Expected

screenshot 2025-08-18 10.34.52.png screenshot 2025-08-18 10.35.04.png 

Steps to Reproduce:

Open an issue

Click the Edit link

The Edit heading is hidden behind the sticky header

History

#1 - 2025-08-18 04:09 - Mizuki ISHIKAWA

- File 0001-Adjust-scrolling-to-keep-Edit-heading-visible.patch added

- File 0002-Add-system-test-for-Edit-heading-visibility.patch added

0001-Adjust-scrolling-to-keep-Edit-heading-visible.patch

Added scroll-margin-top for #update.

Replaced jQuery animate() with native scrollIntoView(), which takes scroll-margin-top into account.

Use the native focus() function with preventScroll: true to prevent automatic scrolling when setting focus

0002-Add-system-test-for-Edit-heading-visibility.patch

Added system test to confirm the heading is visible.

The test uses JavaScript to check that the Edit heading is not hidden. Since this check may be fragile, please decide whether to include it in

the commit.

#2 - 2025-08-18 04:14 - Mizuki ISHIKAWA

Regarding the patch for #note-1, scrollIntoView does not allow specifying the scroll speed and depends on the browser, so scrolling becomes slightly

slower than before (100ms).

#3 - 2025-08-21 08:57 - Mizuki ISHIKAWA

- File 0003-Change-scrollIntoView-behavior-from-smooth-to-instan.patch added

Mizuki ISHIKAWA wrote in #note-2:

Regarding the patch for #note-1, scrollIntoView does not allow specifying the scroll speed and depends on the browser, so scrolling becomes

slightly slower than before (100ms).

 I've attached a patch that changes the scrollIntoView option from behavior: 'smooth' to behavior: 'instant' so that the behavior is closer to the previous

one.

https://developer.mozilla.org/en-US/docs/Web/API/Element/scrollIntoView#behavior

#4 - 2025-08-21 13:31 - Go MAEDA
https://www.redmine.org/issues/42684
https://www.redmine.org/attachments/34855
https://www.redmine.org/attachments/34856
https://developer.mozilla.org/en-US/docs/Web/API/Element/scrollIntoView#behavior


- Target version set to 6.0.7

Setting the target version to 6.0.7.
